slange.f(3)

NAME
slange.f -

SYNOPSIS

  Functions/Subroutines
REAL function slange (NORM, M, N, A, LDA, WORK)
SLANGE returns the value of the 1-norm, Frobenius norm, infinity-norm, or the largest absolute value of any element of a general rectangular matrix.

Function/Subroutine Documentation

  REAL function slange (characterNORM, integerM, integerN, real, dimension( lda, * )A, integerLDA, real, dimension( * )WORK)

SLANGE returns the value of the 1-norm, Frobenius norm, infinity-norm, or the largest absolute value of any element of a general rectangular matrix.

Purpose:

     SLANGE  returns the value of the one norm,  or the Frobenius norm, or
     the  infinity norm,  or the  element of  largest absolute value  of a
     real matrix A.

Returns:
    SLANGE

        SLANGE = ( max(abs(A(i,j))), NORM = 'M' or 'm'
                 (
                 ( norm1(A),         NORM = '1', 'O' or 'o'
                 (
                 ( normI(A),         NORM = 'I' or 'i'
                 (
                 ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
     where  norm1  denotes the  one norm of a matrix (maximum column sum),
     normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
     normF  denotes the  Frobenius norm of a matrix (square root of sum of
     squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix norm.

Parameters:
    NORM

              NORM is CHARACTER*1
              Specifies the value to be returned in SLANGE as described
              above.

    M

              M is INTEGER
              The number of rows of the matrix A.  M >= 0.  When M = 0,
              SLANGE is set to zero.

    N

              N is INTEGER
              The number of columns of the matrix A.  N >= 0.  When N = 0,
              SLANGE is set to zero.

    A

              A is REAL array, dimension (LDA,N)
              The m by n matrix A.

    LDA

              LDA is INTEGER
              The leading dimension of the array A.  LDA >= max(M,1).

    WORK

              WORK is REAL array, dimension (MAX(1,LWORK)),
              where LWORK >= M when NORM = 'I'; otherwise, WORK is not
              referenced.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    September 2012

Definition at line 115 of file slange.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.